This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 347491 - Port glib-networking to use NSS library for cryptography
Port glib-networking to use NSS library for cryptography
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: glib-networking (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Winship
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 466313 744019
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:20 EDT by Peter Vrabec
Modified: 2012-03-04 23:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:20:15 EDT
libsoup should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Dan Winship 2007-10-23 11:56:47 EDT
libsoup had NSS support in the past:
http://svn.gnome.org/svn/libsoup/branches/libsoup-2-0-branch/libsoup/soup-nss.c

That needs some API updating to work with the current code, and probably also
needs some of the same bugfixes the gnutls code had.

See also: http://bugzilla.gnome.org/show_bug.cgi?id=334021

This is all sort of on my todo list.
Comment 2 Matthew Barnes 2008-03-11 00:46:20 EDT
Reassigning to Dan.
Comment 3 Bug Zapper 2008-11-26 03:04:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Dan Winship 2011-01-27 10:02:18 EST
As of F15, libsoup no longer directly depends on gnutls, but now gets its TLS support via the glib-networking package... which depends on gnutls.

The glib API doesn't expose any gnutls types, and was designed around the idea of eventually adding an NSS implementation for it as well.
Comment 5 Matthew Barnes 2011-01-27 15:28:36 EST
Any ballpark idea on a time frame?

I'd like for Camel to use GIO streams and soon but I'm facing a dilemma: wait for NSS support or ditch NSS for gnutls.  I'd also like Evolution to integrate with libgcr (in gnome-keyring) for certificate management.
Comment 6 Dan Winship 2011-01-28 10:09:54 EST
(In reply to comment #5)
> Any ballpark idea on a time frame?

No. I'm not currently working on it. Some Collabora people were talking about possibly looking at it, although they might do an OpenSSL backend instead. (I forget exactly what their constraint was that either OpenSSL or NSS worked, but GnuTLS doesn't.)

> I'd also like Evolution to integrate
> with libgcr (in gnome-keyring) for certificate management.

Yeah, that is also the plan for gio TLS. Stef Walter is working on it now. As I understand it though, the gnome-keyring side of the work ought to work with NSS as well with very minimal effort... there will be a PKCS#11 provider that NSS can dlopen that will make the keys (and saved certificate-acceptance-overrides) in gnome-keyring available to NSS. Might want to as on the gnome-keyring list about that. (Given that the stable GNUTLS release doesn't have PKCS#11 support yet though, it's possible that he hasn't implemented the PKCS#11 interface yet.)
Comment 7 Matthew Barnes 2011-01-28 13:17:42 EST
Thanks for the info.  I'll check with the gnome-keyring guys but I get the impression some key pieces are not yet in place.  I guess for the time being I'll just take the existing CamelTcpStreamSSL and try adapting it to GIO's interfaces.

Note You need to log in before you can comment on or make changes to this bug.